<- Inventory API

Inventory API

All versions ->

Update inventory adjustmentBeta

PUT

 /v2/inventory/adjustments/update

Applies an update to the provided adjustment.

On success: returns the newly updated adjustment. On failure: returns a list of related errors.

Permissions:INVENTORY_WRITE
Try in API Explorer
Link to section

Request body

Example code

Link to section

idempotency_key

string

Required

A client-supplied, universally unique identifier (UUID) for the request.

See Idempotency in the Build Basics section for more information.

Link to section

adjustment

Required

Represents the updates being written to a past/existing inventory adjustment. This works using sparse updates, meaning that any fields omitted from the inputted InventoryAdjustment will retain their values.

Only updates to the quantity, cost_money, vendor_id, and reason_id fields of an InventoryAdjustment can be made here. Note that the quantity field must be provided, but it can be identical to the current quantity if there are no desired quantity changes. cost_money and vendor_id can only be written to adjustments that add stock to the system (from_state of NONE or UNLINKED_RETURN) and to untracked sale adjustments. reason_id can be changed to any reason that is valid for the adjustment's state transition. The reason of a system-generated adjustment (for example, SALE or RECOUNT) cannot be changed. Adjustments generated by Square from other records cannot be updated. This includes inferred adjustments created by physical counts, transfer-like cross-location adjustments, and component adjustments. Adjustments linked to purchase orders cannot be updated. Adjustments linked to sales can only have cost_money and vendor_id updated, and only for untracked sales. Restock adjustments linked to an itemized return can have their quantity updated, up to the quantity remaining on the return. Adjustments older than one year cannot be updated.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

adjustment

The newly updated adjustment.